"""Common filenames and locations for topographic data, meshes and outputs.
Also includes origin for slump scenario.
"""

from os import sep, environ
from os.path import expanduser
import sys

# We'll do this for the final thing 
home = '.'

if sys.platform == 'win32':
    home = environ['INUNDATIONHOME']     #Sandpit's parent dir
else:    
    home = expanduser('~')
    
basename = 'Sydney'

#Setting the location of scenario data
scenario_dir_name = 'sydney_tsunami_example_2006'
# revised 100m data
coarsename = 'bathyland100' 
# revised 25m data
finename = 'bathy_dem25'

#Derive subdirectories and filenames
meshdir = home+sep+scenario_dir_name+sep+'meshes'+sep
datadir = home+sep+scenario_dir_name+sep+'topographies'+sep
outputdir = home+sep+scenario_dir_name+sep+'output'+sep
polygondir = home+sep+scenario_dir_name+sep+'polygons'+sep

meshname = meshdir + basename
coarsedemname = datadir + coarsename
finedemname = datadir + finename
combineddemname = datadir + 'sydneytopo'

refzone = 56
print 'refzone', refzone

# demo poly 
j0 = [385000, 6280000]
j1 = [360000, 6272500]
j2 = [335000, 6272500]
j3 = [330000, 6265000]
j31 = [325000, 6260000]
j4 = [316000, 6260000]
j5 = [316000, 6247000]
j6 = [350000, 6247000]
j7 = [385000, 6238000]

demopoly = [j0, j1, j2, j3, j31, j4, j5, j6, j7]

from utilities.polygon import read_polygon
polygonptsfile4 = polygondir + 'poly1'
polygonptsfile0 = polygondir + 'poly2'
polygonptsfile1 = polygondir + 'poly3'
polygonptsfile2 = polygondir + 'poly4'
polygonptsfile3 = polygondir + 'poly5'
northern_polygon = read_polygon(polygonptsfile0 + '.csv')
manly_polygon = read_polygon(polygonptsfile1 + '.csv')
harbour_polygon = read_polygon(polygonptsfile2 + '.csv')
southern_polygon = read_polygon(polygonptsfile3 + '.csv')
top_polygon = read_polygon(polygonptsfile4 + '.csv')

slump_origin = [372500.0, 6255000.0] #Absolute UTM
